include _mixins
doctype html
html(lang="ru")
    head
        meta(charset="utf-8")
        
        meta(name="viewport" content="width=device-width, initial-scale=1")
        meta(name="theme-color" content="#000")
        meta(name="format-detection" content="telephone=no")
        meta(http-equiv="X-UA-Compatible" content="IE=Edge")

        title= title || 'Page name'

        block preload

        //- <!-- Critical CSS -->

        include _loadCss
        

    body(class=bodyClass)
        
       

        .app
        
            // Header :: Start
            .header
                block header
                    include _header
            // Header :: End

            // Main :: Start
            .main
                block main
            
            // Main :: End
            
            // Footer :: Start
            .footer
                block footer
                    include _footer.pug
            // Footer :: End


            // Popups :: Start
            block popups
                include _popups
            // Popups :: End

        // Scripts :: Start
        include _loadScripts
        // Scripts :: End

